## org.eclipse.emf.mint
Interface IItemJavaElementDescriptor

All Known Subinterfaces:
  IItemJavaElementDescriptor2

All Known Implementing Classes:
  ItemJavaElementDescriptor

    public interface IItemJavaElementDescriptor

Interface for describing a particular Java code facet of a given model element. Descriptors applicable to a particular model element are obtained by calling `IItemJavaElementSource.getJavaElementDescriptors(Object)`.

Clients may implement this interface.

Nested Class Summary
`static class` `IItemJavaElementDescriptor.Kind` Descriptor kind.

Method Summary
`String` `getCategory(Object object)` Returns an optional category used for grouping descriptors.
`String` `getDescription(Object object)` Returns an optional description of the Java code facet that this descriptor represents.
`String` `getDisplayName(Object object)` Returns a display name for the Java element that this descriptor represents for the given model element.
`Object` `getFeature(Object object)` Returns an optional related feature that this descriptor represents.
`org.eclipse.jdt.core.IJavaElement` `getJavaElement(Object object)` Returns a specific Java element for the given model element.
`IJavaTypeReference` `getJavaTypeReference(Object object)` Returns an unresolved Java element reference for the given model element.
`IItemJavaElementDescriptor.Kind` `getKind(Object object)` Returns this descriptor's kind for the given model element.
`Object` `getNonJavaElement(Object object)` Returns the non-Java element for the given model element.

Method Detail

### getKind

    IItemJavaElementDescriptor.Kind getKind(Object object)

  Returns this descriptor's kind for the given model element.

  Parameters:
    `object` - model element
  Returns:
    descriptor kind

### getJavaElement

    org.eclipse.jdt.core.IJavaElement getJavaElement(Object object)

  Returns a specific Java element for the given model element.

  Parameters:
    `object` - model element
  Returns:
    Java element for the given model element
  See Also:
    `IItemJavaElementDescriptor.Kind.JAVA_ELEMENT`

### getJavaTypeReference

    IJavaTypeReference getJavaTypeReference(Object object)

  Returns an unresolved Java element reference for the given model element.

  Parameters:
    `object` - model element
  Returns:
    Java element reference
  See Also:
    `IItemJavaElementDescriptor.Kind.JAVA_TYPE_REFERENCE`

### getNonJavaElement

    Object getNonJavaElement(Object object)

  Returns the non-Java element for the given model element.

  Parameters:
    `object` - model element
  Returns:
    non-Java element for the given model element
  See Also:
    `IItemJavaElementDescriptor.Kind.NON_JAVA_RESOURCE`

### getCategory

    String getCategory(Object object)

  Returns an optional category used for grouping descriptors.

  Parameters:
    `object` - model element
  Returns:
    category used for grouping descriptors (may be `null`)

### getDescription

    String getDescription(Object object)

  Returns an optional description of the Java code facet that this descriptor represents.

  Parameters:
    `object` - model element
  Returns:
    Java element description (i.e., how it relates to the model element)F

### getDisplayName

    String getDisplayName(Object object)

  Returns a display name for the Java element that this descriptor represents for the given model element.

  Parameters:
    `object` - model element
  Returns:
    Java element's display name (i.e., what it represents for the given model element)

### getFeature

    Object getFeature(Object object)

  Returns an optional related feature that this descriptor represents.

  Parameters:
    `object` - model element
  Returns:
    feature related to this descriptor (may be `null`)

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.